# $Revision: 1.1 $, $Date: 2011/11/10 17:31:41 $
Summary:	Alternative C driver for MongoDB
Summary(pl.UTF-8):	Alternatywny interfejs C do MongoDB
Name:		libmongo-client
Version:	0.1.4
Release:	1
License:	Apache v2.0
Group:		Libraries
Source0:	https://nodeload.github.com/algernon/libmongo-client/tarball/v%{version}#/%{name}-%{version}.tar.gz
# Source0-md5:	efee0539a10e5a36682fdd3380b3d571
URL:		https://github.com/algernon/libmongo-client
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake >= 1:1.9
BuildRequires:	glib2-devel >= 1:2.16.0
BuildRequires:	libtool >= 2:2.0
BuildRequires:	pkgconfig
Requires:	glib2 >= 1:2.16.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_noautocompressdoc	*.h

%description
This is an alternative C driver for MongoDB, with slightly different
goals than the official one: libmongo-client is meant to be a stable
(API, ABI and quality alike), clean, well documented and well tested
shared library, that strives to make the most common use cases as
convenient as possible.

%description -l pl.UTF-8
libmongo-client to alternatywny sterownik (interfejs) C dla MongoDB,
mający nieco inne cele niż oficjalny: libmongo-client ma być stabilną
(zarówno pod kątem API, ABI i jakości), przejrzystą, dobrze
udokumentowaną i dobrze przetestowaną biblioteką współdzieloną,
możliwie najwygodniejszą w większości zastosowań.

%package devel
Summary:	Header files for libmongo-client library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki libmongo-client
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	glib2-devel >= 1:2.16.0

%description devel
Header files for libmongo-client library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki libmongo-client.

%package static
Summary:	Static libmongo-client library
Summary(pl.UTF-8):	Statyczna biblioteka libmongo-client
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static libmongo-client library.

%description static -l pl.UTF-8
Statyczna biblioteka libmongo-client.

%prep
%setup -q -n algernon-%{name}-c16e4c2

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--disable-silent-rules
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_examplesdir}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

cp -a docs/tutorial/examples $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

# obsoleted by pkg-config
%{__rm} $RPM_BUILD_ROOT%{_libdir}/libmongo-client.la

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc NEWS README.rst
%attr(755,root,root) %{_libdir}/libmongo-client.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libmongo-client.so.0

%files devel
%defattr(644,root,root,755)
%doc docs/tutorial/*.h
%attr(755,root,root) %{_libdir}/libmongo-client.so
%{_includedir}/mongo-client
%{_pkgconfigdir}/libmongo-client.pc
%{_examplesdir}/%{name}-%{version}

%files static
%defattr(644,root,root,755)
%{_libdir}/libmongo-client.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: libmongo-client.spec,v $
Revision 1.1  2011/11/10 17:31:41  qboosh
- new

